<!--Table here-->
<div class="containerAddButton">
  <button
    *ngIf="this.user.isAdmin"
    type="button"
    class="btn addButton"
    data-toggle="modal"
    (click)="myModal.show()"
  >
    Ajouter une tarification
  </button>
</div>
<div class="card">
  <div class="card-body">
    <div class="loadingTableContainer" *ngIf="isLoading || dataNotFound">
      <div class="loadingTable">
        <div class="dataNotFound" *ngIf="isLoading">
          <div style="opacity: 0.7; color: black">Chargement ...</div>
          <img
            src="assets/img/gif/cloud.gif"
            alt="this scope moves"
            width="70"
          />
        </div>
        <div class="dataNotFound" *ngIf="dataNotFound">
          <div style="color: black">Aucune donnée trouvée !</div>
          <img
            src="assets/img/gif/zoom.gif"
            alt="this scope moves"
            width="50"
          />
        </div>
      </div>
    </div>
    <table class="table table-striped">
      <thead style="z-index: 88" class="tableHead">
        <tr class="table-sm cc">
          <th style="width: 10%; min-width: 60px">
            ID
            <input
              *ngIf="filterId"
              class="inputFilter"
              style="width: 50px"
              type="text"
              [(ngModel)]="filters[0]['id']"
              (keyup)="getSiteTypes(1)"
            />
            <i
              class="fa fa-filter fa-lg customfilter"
              (click)="filterId = !filterId"
            ></i>
          </th>
          <th style="min-width: 80px">
            Année
            <input
              *ngIf="filterNom"
              class="inputFilter"
              type="text"
              [(ngModel)]="filters[3]['year%5Bgte%5D']"
              (keyup)="getSiteTypes(1)"
            />
            <i
              class="fa fa-filter fa-lg customfilter"
              (click)="filterNom = !filterNom"
            ></i>
          </th>
          <th style="min-width: 80px">
            Coût
            <input
              *ngIf="filterCost"
              class="inputFilter"
              type="text"
              [(ngModel)]="filters[4]['cost%5Bgte%5D']"
              (keyup)="getSiteTypes(1)"
            />
            <i
              class="fa fa-filter fa-lg customfilter"
              (click)="filterCost = !filterCost"
            ></i>
          </th>
          <th style="min-width: 80px">
            Type d'élément
            <input
              *ngIf="filterElementType"
              class="inputFilter"
              type="text"
              [(ngModel)]="filters[5]['element_type']"
              (keyup)="getSiteTypes(1)"
            />
            <i
              class="fa fa-filter fa-lg customfilter"
              (click)="filterElementType = !filterElementType"
            ></i>
          </th>
          <th *ngIf="this.user.isAdmin" style="width: 80px; padding: 15px 0px">
            Actions
          </th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let siteType of siteTypes">
          <td>{{ siteType.id }}</td>
          <td>{{ siteType.year }}</td>
          <td>{{ siteType.cost }}</td>
          <td>{{ siteType.element_type.name }}</td>
          <td style="z-index: 2222" *ngIf="this.user.isAdmin">
            <div class="editIcon">
              <i
                class="icon-note icons font-2xl"
                (click)="showUpdateModal(siteType); myUpdateModal.show()"
              ></i>
            </div>
          </td>
        </tr>
      </tbody>
    </table>
  </div>
  <div class="count">
    <div>Résultats {{ siteTypes.length }} (filtrés parmi {{ totalCount }})</div>
  </div>
</div>
<div class="pages" *ngIf="totalCount > 10">
  <ul class="pagination">
    <li class="page-item" (click)="getSiteTypes(pagination.first)">
      <a class="page-link"><i class="fa fa-angle-double-left fa-lg"></i></a>
    </li>

    <li class="page-item" (click)="getSiteTypes(pagination.prev)">
      <a class="page-link" *ngIf="pagination.first < pagination.current"
        ><i class="fa fa-angle-left fa-lg"></i
      ></a>
    </li>
    <li class="page-item" (click)="getSiteTypes(pagination.prev - 1)">
      <a class="page-link" *ngIf="pagination.first < pagination.prev">..</a>
    </li>
    <li class="page-item" (click)="getSiteTypes(pagination.prev)">
      <a class="page-link" *ngIf="pagination.prev < pagination.current">{{
        pagination.prev
      }}</a>
    </li>
    <li class="page-item active" (click)="getSiteTypes(pagination.current)">
      <a class="page-link">{{ pagination.current }}</a>
    </li>
    <li class="page-item" (click)="getSiteTypes(pagination.next)">
      <a class="page-link" *ngIf="pagination.next > pagination.current">{{
        pagination.next
      }}</a>
    </li>
    <li class="page-item">
      <a
        class="page-link"
        (click)="getSiteTypes(pagination.next + 1)"
        *ngIf="pagination.next < pagination.last"
        >..</a
      >
    </li>
    <li class="page-item" (click)="getSiteTypes(pagination.next)">
      <a class="page-link" *ngIf="pagination.current != pagination.last"
        ><i class="fa fa-angle-right fa-lg"></i
      ></a>
    </li>
    <li class="page-item" (click)="getSiteTypes(pagination.last)">
      <a class="page-link"><i class="fa fa-angle-double-right fa-lg"></i></a>
    </li>
  </ul>
</div>
<!--Add window-->
<div
  bsModal
  #myModal="bs-modal"
  class="modal fade"
  tabindex="-1"
  role="dialog"
  aria-labelledby="myModalLabel"
  aria-hidden="false"
>
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h4 class="modal-title">Ajouter une tarification</h4>
        <button
          type="button"
          class="close"
          (click)="myModal.hide(); resetAddModal()"
          aria-label="Close"
        >
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div role="alert" class="alert alert-success" *ngIf="successAddSiteType">
        une nouveau une tarification est ajoutée<strong> avec succès.</strong>
      </div>
      <div role="alert" class="alert alert-danger" *ngIf="errorAddSiteType">
        <strong>Oops ! </strong> Modifiez quelques éléments et essayez de
        soumettre de nouveau !
      </div>
      <div class="modal-body">
        <div class="form-group">
          <label>Année</label>
          <input
            (blur)="uniquenessCheck()"
            type="number"
            placeholder="année.."
            class="form-control"
            [(ngModel)]="newtSiteType.year"
            style="color: black"
            [ngStyle]="inputStyle"
          />
          <div class="custom-col">
            <span *ngIf="entityEmpty"> * Ce champ est obligatoire ! </span>
          </div>
          <br />
          <label>Coût</label>
          <input
            (blur)="uniquenessCheck2()"
            type="number"
            placeholder="coût.."
            class="form-control"
            [(ngModel)]="newtSiteType.cost"
            style="color: black"
            [ngStyle]="inputStyle2"
          />
          <div class="custom-col">
            <span *ngIf="entityEmpty2"> * Ce champ est obligatoire ! </span>
          </div>
          <br />
          <!--pick choice here-->
          <label>Type d'élément</label>
          <select
            class="form-select"
            aria-label="Default select example"
            [(ngModel)]="newtSiteType.elementType"
          >
            <option selected disabled value="">
              Choisir un Type d'élément
            </option>
            <option
              *ngFor="let elementType of elementTypes"
              [value]="elementType['@id']"
            >
              {{ elementType["name"] }}
            </option>
          </select>
          <div class="custom-col">
            <span *ngIf="emptyPick">
              * Veuillez sélectionner une option pour continuer
            </span>
          </div>
        </div>
      </div>
      <div class="modal-footer">
        <button
          type="button"
          class="btn btn-secondary"
          (click)="myModal.hide(); resetAddModal()"
        >
          Annuler
        </button>
        <button
          type="button"
          class="btn addButton"
          (click)="addNewSiteType(); uniquenessCheck(); uniquenessCheck2()"
        >
          Ajouter
        </button>
      </div>
    </div>
    <!-- /.modal-content -->
  </div>
  <!-- /.modal-dialog -->
</div>
<!-- /.modal -->

<!-- Update Window !!! -->
<div
  bsModal
  #myUpdateModal="bs-modal"
  class="modal fade"
  tabindex="-1"
  role="dialog"
  aria-labelledby="myModalLabel"
  aria-hidden="false"
>
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h4 class="modal-title">Modifier ce type de site</h4>
        <button
          type="button"
          class="close"
          (click)="myUpdateModal.hide(); resetAddModal()"
          aria-label="Close"
        >
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <!--Alert messages here-->
      <div
        class="alert alert-success alert-dismissible fade show"
        role="alert"
        style="
          max-width: 95%;
          margin-left: 10px;
          margin-top: 10px;
          margin-bottom: -8px;
        "
        *ngIf="successModifySiteType"
      >
        Les modifications ont été opérées avec<strong> succès !</strong>
        <button
          type="button"
          class="btn-close"
          data-bs-dismiss="alert"
          aria-label="Close"
        ></button>
      </div>

      <div
        class="alert alert-danger alert-dismissible fade show"
        role="alert"
        style="
          max-width: 95%;
          margin-left: 10px;
          margin-top: 10px;
          margin-bottom: -8px;
        "
        *ngIf="failModifySiteType"
      >
        <strong>Attention </strong> Ce nom existe déjà !
        <button
          type="button"
          class="btn-close"
          data-bs-dismiss="alert"
          aria-label="Close"
        ></button>
      </div>
      <div class="modal-body">
        <div class="form-group">
          <label>Année</label>
          <input
            type="number"
            placeholder="année.."
            class="form-control"
            [(ngModel)]="updateSiteType.year"
            style="color: black"
          />
          <span *ngIf="!updateSiteType.year" style="color: red">
            * Ce champ est obligatoire !
          </span>
        </div>
        <br />
        <div class="form-group">
          <label>Coût</label>
          <input
            type="number"
            placeholder="coût.."
            class="form-control"
            [(ngModel)]="updateSiteType.cost"
            style="color: black"
          />
          <span *ngIf="!updateSiteType.cost" style="color: red">
            * Ce champ est obligatoire !
          </span>
        </div>
        <br />
        <div class="form-group">
          <label>Type d'élément</label>
          <select
            class="form-select"
            aria-label="Default select example"
            [(ngModel)]="updateSiteType.elementType"
          >
            <option
              *ngFor="let elementType of elementTypes"
              [value]="elementType['@id']"
            >
              {{ elementType["name"] }}
            </option>
          </select>
        </div>
      </div>
      <div class="modal-footer">
        <button
          type="button"
          class="btn btn-secondary"
          (click)="myUpdateModal.hide()"
        >
          Annuler
        </button>
        <button
          year="submit"
          type="button"
          class="btn btn-success"
          (click)="putSiteType()"
        >
          Enregistrer
        </button>
      </div>
    </div>
    <!-- /.modal-content -->
  </div>
  <!-- /.modal-dialog -->
</div>
<!-- /.modal -->
